Выполнение произвольных команд в XChat

Дата публикации:
16.06.2008
Всего просмотров:
1394
Опасность:
Высокая
Наличие исправления:
Да
Количество уязвимостей:
1
CVSSv2 рейтинг:
CVE ID:
Нет данных
Вектор эксплуатации:
Удаленная
Воздействие:
Компрометация системы
CWE ID:
Нет данных
Наличие эксплоита:
Нет данных
Уязвимые продукты:
XChat 2.x
Уязвимые версии: XChat 2.8.7b, возможно более ранние версии

Описание:
Уязвимость позволяет удаленному пользователю скомпрометировать целевую систему.

Уязвимость существует из-за ошибки проверки входных данных при обработке "ircs" URI. Удаленный пользователь может с помощью специально сформированного "ircs" URI, содержащего параметр "--command", выполнить произвольные команды на системе.

URL производителя: www.xchat.org

Решение: Установите последнюю версию 2.8.7c с сайта производителя.

Ссылки: XChat <= 2.8.7b (URI Handler) Remote Code Execution Exploit (ie6/ie7)

или введите имя

CAPTCHA